Parameterise -P to ${PREANPORTS} to make it switchable (to off by default)
I've been doing this since 4.4.

*** 4.9-RELEASE/src/release/Makefile	Tue Apr 27 10:58:52 2004
--- new/src/release/Makefile	Tue Apr 27 11:30:38 2004
***************
*** 241,246 ****
--- 241,257 ----
  
  .if !defined(NODOC)
  DOCREL= doc.1 doc.2
+ # If you are an optimist & hope all of <a href= "http://www.berklix.com/~jhs/freebsd/packages/">tens of thousands of free packages</a> ported ports are in good order, (which they
+ # never are!) uncomment next line (or assert PREANPORTS=-P on command line),
+ #     PREANPORTS=-P
+ # else leave it commented out, if you prefer to waste a little space
+ # & have a better chance of having "make readmes" run to completion.
+ # 4.2-RELEASE ports/audio/ripit-atapi was an example of a directory
+ # containing just an empty directory "files". A cvs -P did not create
+ # ripit-atapi, but audio/Makefile had SUBDIR+= ripit-atapi, & hung
+ # "make readmes" with "cd: can''t cd to ripit-atapi"
+ # An alternate more drastic way to avoid make breaking is assert NOPORTREADMES
+ 
  .endif
  
  .if !defined(NOPORTREADMES)
***************
*** 282,291 ****
  	fi
  .if !defined(RELEASETAG)
  	cd ${CHROOTDIR}/usr && rm -rf src && \
! 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASESRCMODULE}
  .else
  	cd ${CHROOTDIR}/usr && rm -rf src && \
! 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${RELEASETAG} ${RELEASESRCMODULE}
  .endif
  .if defined(LOCAL_PATCHES) && exists(${LOCAL_PATCHES})
  	cd ${CHROOTDIR}/usr/src && patch ${PATCH_FLAGS} < ${LOCAL_PATCHES}
--- 293,302 ----
  	fi
  .if !defined(RELEASETAG)
  	cd ${CHROOTDIR}/usr && rm -rf src && \
! 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} ${RELEASESRCMODULE}
  .else
  	cd ${CHROOTDIR}/usr && rm -rf src && \
! 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} -r ${RELEASETAG} ${RELEASESRCMODULE}
  .endif
  .if defined(LOCAL_PATCHES) && exists(${LOCAL_PATCHES})
  	cd ${CHROOTDIR}/usr/src && patch ${PATCH_FLAGS} < ${LOCAL_PATCHES}
***************
*** 307,328 ****
  .endif
  .if !defined(NOPORTS)
  .if defined(PORTSRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${PORTSRELEASETAG} ${RELEASEPORTSMODULE}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASEPORTSMODULE}
  .endif
  .elif defined(DOMINIMALDOCPORTS) && ${DOMINIMALDOCPORTS} == "YES"
  .if defined(PORTSRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${PORTSRELEASETAG} ${MINIMALDOCPORTS}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${MINIMALDOCPORTS}
  .endif
  .endif
  .if !defined(NODOC)
  .if defined(DOCRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${DOCRELEASETAG} ${RELEASEDOCMODULE}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASEDOCMODULE}
  .endif
  	if [ -d ${RELEASEDISTFILES}/ ]; then \
  		cp -rp ${RELEASEDISTFILES} ${CHROOTDIR}/usr/ports/distfiles; \
--- 307,328 ----
  .endif
  .if !defined(NOPORTS)
  .if defined(PORTSRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} -r ${PORTSRELEASETAG} ${RELEASEPORTSMODULE}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} ${RELEASEPORTSMODULE}
  .endif
  .elif defined(DOMINIMALDOCPORTS) && ${DOMINIMALDOCPORTS} == "YES"
  .if defined(PORTSRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} -r ${PORTSRELEASETAG} ${MINIMALDOCPORTS}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} ${MINIMALDOCPORTS}
  .endif
  .endif
  .if !defined(NODOC)
  .if defined(DOCRELEASETAG)
! 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} -r ${DOCRELEASETAG} ${RELEASEDOCMODULE}
  .else
! 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} ${PREANPORTS} ${RELEASEDOCMODULE}
  .endif
  	if [ -d ${RELEASEDISTFILES}/ ]; then \
  		cp -rp ${RELEASEDISTFILES} ${CHROOTDIR}/usr/ports/distfiles; \
***************
*** 330,349 ****
  .if make(rerelease)
  .if !defined(RELEASENOUPDATE)
  .if !defined(RELEASETAG)
! 	cd ${CHROOTDIR}/usr/src && cvs -R -q update ${CVSCMDARGS} -P -d -A
  .else
! 	cd ${CHROOTDIR}/usr/src && cvs -R -q update ${CVSCMDARGS} -P -d -r ${RELEASETAG}
  .endif
  .if !defined(NOPORTS)
! 	cd ${CHROOTDIR}/usr/ports && cvs -R -q update ${CVSCMDARGS} -P -d
  .endif
  .if defined(DOMINIMALDOCPORTS) && ${DOMINIMALDOCPORTS} == "YES"
  	for i in ${MINIMALDOCPORTS}; do \
! 		( cd ${CHROOTDIR}/usr/$$i && cvs -R -q update ${CVSCMDARGS} -P -d ) ; \
  	done
  .endif
  .if !defined(NODOC)
! 	cd ${CHROOTDIR}/usr/doc && cvs -R -q update ${CVSCMDARGS} -P -d
  .endif
  .endif
  .endif
--- 341,360 ----
  .if make(rerelease)
  .if !defined(RELEASENOUPDATE)
  .if !defined(RELEASETAG)
! 	cd ${CHROOTDIR}/usr/src && cvs -R -q update ${CVSCMDARGS} ${PREANPORTS} -d -A
  .else
! 	cd ${CHROOTDIR}/usr/src && cvs -R -q update ${CVSCMDARGS} ${PREANPORTS} -d -r ${RELEASETAG}
  .endif
  .if !defined(NOPORTS)
! 	cd ${CHROOTDIR}/usr/ports && cvs -R -q update ${CVSCMDARGS} ${PREANPORTS} -d
  .endif
  .if defined(DOMINIMALDOCPORTS) && ${DOMINIMALDOCPORTS} == "YES"
  	for i in ${MINIMALDOCPORTS}; do \
! 		( cd ${CHROOTDIR}/usr/$$i && cvs -R -q update ${CVSCMDARGS} ${PREANPORTS} -d ) ; \
  	done
  .endif
  .if !defined(NODOC)
! 	cd ${CHROOTDIR}/usr/doc && cvs -R -q update ${CVSCMDARGS} ${PREANPORTS} -d
  .endif
  .endif
  .endif
